# IAX2IeProvisioning Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeProvisioning:

[legend]
Collaboration diagram for IAX2IeProvisioning:
[legend]

## Public Member Functions

| IAX2IeProvisioning (BYTE length, BYTE *srcData)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &)

## Detailed Description

An Information Element that contains Provisioning - a great big data block

## Constructor & Destructor Documentation

IAX2IeProvisioning::IAX2IeProvisioning | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

## Member Function Documentation

virtual BYTE IAX2IeProvisioning::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeProvisioning::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeBlockOfData.

virtual void IAX2IeProvisioning::StoreDataIn | ( | IAX2IeData & |  | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h